{% extends 'base.html' %}

{% load static %}

{% block title %}
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>{{ project.name }}</h1>
            <p>{{ project.description }}</p>
            <h2>Tasks</h2>
            <table>
                <thead>
                    <th>Name</th>
                    <th>Assignee</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                </thead>
                <tbody>
                    {% for item in project.tasks.all %}
                        <tr>
                            <td>{{ item.name }}</td>
                            <td>{{ item.assignee }}</td>
                            <td>{{ item.start_date }}</td>
                            <td>{{ item.due_date }}</td>
                            <td>{{ item.is_completed | yesno }}</td>
                        </tr>
                    {% empty %}
                        <p>This project has no tasks</p>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
{% endblock content %}
